EZ_GrabPointer()

NAME
EZ_GrabPointer, EZ_UngrabPointer - grab/ungrab the mouse pointer

SYNOPSIS
#include <EZ.h>

int  EZ_GrabPointer(EZ_Widget *widget, Cursor cursor,
                    int timeout)

void  EZ_UngrabPointer(void)

ARGUMENTS
widget Specifies a widget.

cursor Specifies a cursor.

timeout Specifies a timeout in seconds.

DESCRIPTION

EZ_GrabPointer grabs the pointer device to the window of widget if the pointer is not currently grabed. If cursor is not None, it will replace the current cursor. If timeout is positive, the grab will be automatically released after timeout seconds. If timeout is 0, the grab will sustain indefinitely until a call to EZ_UngrabPointer.

EZ_GrabPointer returns the status of the grab as described in XgrabPointer (3X11).

EZ_UngrabPointer release the current pointer grab.

SEE ALSO
EZ_WaitCursor(3), EZ_SetGrab(3)